Loading...
Searching...
No Matches
irr::scene::IParticleAffector Class Referenceabstract

A particle affector modifies particles. More...

`#include <IParticleAffector.h>`

Inheritance diagram for irr::scene::IParticleAffector:

## Public Member Functions

| IParticleAffector ()
| constructor
virtual void | affect (u32 now, SParticle *particlearray, u32 count)=0
| Affects an array of particles.
virtual bool | getEnabled () const
| Gets whether or not the affector is currently enabled.
virtual E_PARTICLE_AFFECTOR_TYPE | getType () const =0
| Get emitter type.
virtual void | setEnabled (bool enabled)
| Sets whether or not the affector is currently enabled.
Public Member Functions inherited from irr::io::IAttributeExchangingObject
virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the object.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the object.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Protected Attributes

bool | Enabled

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

A particle affector modifies particles.

Definition at line 41 of file IParticleAffector.h.

## Constructor & Destructor Documentation

## IParticleAffector()

irr::scene::IParticleAffector::IParticleAffector | ( |  | ) |

inline

constructor

Definition at line 46 of file IParticleAffector.h.

References Enabled.

## Member Function Documentation

## affect()

virtual void irr::scene::IParticleAffector::affect | ( | u32 | now,
|  | SParticle * | particlearray,
|  | u32 | count )

pure virtual

Affects an array of particles.

Parameters

  now | Current time. (Same as ITimer::getTime() would return)
  particlearray | Array of particles.
  count | Amount of particles in array.

Referenced by irr::scene::IParticleAttractionAffector::setAffectX(), irr::scene::IParticleAttractionAffector::setAffectY(), and irr::scene::IParticleAttractionAffector::setAffectZ().

## getEnabled()

virtual bool irr::scene::IParticleAffector::getEnabled | ( |  | ) | const

inline virtual

Gets whether or not the affector is currently enabled.

Definition at line 58 of file IParticleAffector.h.

References Enabled.

## getType()

virtual E_PARTICLE_AFFECTOR_TYPE irr::scene::IParticleAffector::getType | ( |  | ) | const

pure virtual

Get emitter type.

Implemented in irr::scene::IParticleAttractionAffector, irr::scene::IParticleFadeOutAffector, irr::scene::IParticleGravityAffector, and irr::scene::IParticleRotationAffector.

## setEnabled()

virtual void irr::scene::IParticleAffector::setEnabled | ( | bool | enabled | ) |

inline virtual

Sets whether or not the affector is currently enabled.

Definition at line 55 of file IParticleAffector.h.

References Enabled.

## Member Data Documentation

## Enabled

bool irr::scene::IParticleAffector::Enabled

protected

Definition at line 64 of file IParticleAffector.h.

Referenced by IParticleAffector(), getEnabled(), and setEnabled().

The documentation for this class was generated from the following file:

- IParticleAffector.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0